> ## Documentation Index
> Fetch the complete documentation index at: https://docs.rcur.app/llms.txt
> Use this file to discover all available pages before exploring further.

# List products



## OpenAPI

````yaml /openAPI.json get /api/v2/products
openapi: 3.0.2
info:
  title: Laravel
  version: 2.0.0
servers:
  - url: https://rcur.app
security:
  - '': []
tags:
  - name: Customers
  - name: Payment Links
  - name: Subscriptions
  - name: Follow-ups
  - name: Orders
  - name: Payments
  - name: Mandates
  - name: Products
  - name: Organization
paths:
  /api/v2/products:
    get:
      tags:
        - Products
      summary: List products
      parameters:
        - name: page
          in: query
          description: Page number for pagination
          required: false
          schema:
            default: 1
            type: integer
      responses:
        '200':
          description: List of products
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: array
                    items:
                      $ref: '#/components/schemas/Product'
                  links:
                    type: object
                    properties:
                      first:
                        type: string
                      last:
                        type: string
                      prev:
                        type: string
                        nullable: true
                      next:
                        type: string
                        nullable: true
                  meta:
                    type: object
                    properties:
                      current_page:
                        type: integer
                        example: 1
                      last_page:
                        type: integer
                        example: 1
                      per_page:
                        type: integer
                        example: 15
                      total:
                        type: integer
                        example: 6
components:
  schemas:
    Product:
      type: object
      required:
        - id
        - name
        - type
        - amount
        - currency
      properties:
        id:
          type: string
          example: prod_abc123
        name:
          type: string
          example: Premium Plan
        type:
          enum:
            - - once
              - subscription
              - shipping_costs
          type: string
          example: subscription
        amount:
          type: string
          example: '29.99'
        currency:
          type: string
          example: EUR
        interval:
          type: string
          nullable: true
          example: month
        times:
          type: integer
          nullable: true
          example: 12
        wc_product_id:
          type: integer
          nullable: true
          example: 1234

````